Subject: bug#10709: Feature request: vc-hg should activate smerge-mode for conflicts

From: Wolfgang Schnerring <[email-masked]>
Date: Fri, 3 Feb 2012 17:30:29 +0100

Hello,

vc-svn has the useful behaviour (via vc-svn-find-file-hook) that when
you visit a file with conflicts, it drops you into smerge-mode, and
automatically marks the file as resolved once you've removed all
conflict markers. This makes for a very seamless editing experience. :-)

It would be nice if vc-hg did the same. I guess most of the behaviour
can be lifted straight from vc-svn, however I didn't find anything to
suggest that vc-hg talks to "hg resolve -l" at the moment, which is
needed to find out whether the current file is conflicted. So I guess
that would be the starting point.

My elisp is rather weak, so I probably won't be of much help here, but
do let me know if there's something I can do.

Wolfgang